Warum liefert Typo3 500 Internal Server Errors beim Einfügen von Bildern?


Manche Varianten von Typo3 sind nicht mit neuen PHP-Versionen kompatibel und können Internal Server Errors liefern. So kann zum Beispiel auch die Typo3 6.2 LTS (long term support) nicht mit PHP 5.6 kombiniert werden.

Die "System Requirements" (http://wiki.typo3.org/TYPO3_CMS_6.2#System_Requirements) liefern hierzu nähere Details:

PHP >5.3.7 up to 5.5 (PHP 5.4 or later recommended)
MySQL 5.1 up to 5.6 or compatible (no "strict mode")

Um solche Kompatibilitätsprobleme zu vermeiden wird empfohlen Easy.Install oder die jeweils neueste, offiziell verfügbare Typo3-Version zu verwenden. Alternativ kann in der Kundenverwaltung PHP auf eine kompatible Version gewechselt werden.